#
# spec file for package python-ecdsa
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ecdsa
Version:        0.13
Release:        5.5
Summary:        ECDSA cryptographic signature library (pure python)
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/warner/python-ecdsa
Source:         https://pypi.python.org/packages/source/e/ecdsa/ecdsa-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

%prep
%setup -q -n ecdsa-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README.md
%{python_sitelib}/*

%changelog
* Sat Feb 21 2015 prusnak@opensuse.org
- update to 0.13
  Fix the argument order for Curve constructor (put openssl_name= at the end,
  with a default value) to unbreak compatibility with external callers who used
  the 0.11 convention.
  * update to 0.12
  Switch to Versioneer for version-string management (fixing the broken
  `ecdsa.__version__` attribute). Add Curve.openssl_name property. Mention
  secp256k1 in README, test against OpenSSL. Produce "wheel" distributions. Add
  py3.4 and pypy3 compatibility testing. Other minor fixes.
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.11:
  * update NEWS for 0.11 release
  * VerifyingKey.from_string(): add validate_point= argument
  * Merge pull request #17 from trezor/master
  * README: stop claiming py2.5 compatibility.
  * Merge pull request #18 from alex/patch-2
  * Merge pull request #16 from alex/patch-1
  * Remove Python 2.5 from travis.
  * Added trove classifiers showing versions supported
  * canonical versions of sigencode methods these enforce low S values,
    by negating the value (modulo the order) if above order/2
  * Remove Python 2.5 from travis.
  * Run tests under PyPy
* Fri Apr 18 2014 rschweikert@suse.com
- include in SLE 12 (FATE #315990)
* Mon Jan 13 2014 dmueller@suse.com
- update to 0.10:
  * Make the secp256k1 available
* Wed Oct  9 2013 prusnak@opensuse.org
- updated to version 0.9
  * added secp256k1 curve
  * added deterministic (no entropy needed) signatures
  * added py3.2/py3.3 compatibility
* Fri Dec 14 2012 prusnak@opensuse.org
- created package (version 0.8)
